Name:           qpwgraph
Version:        0.7.4
Release:        %mkrel 1
Summary:        PipeWire Graph Qt GUI Interface
Group:          Sound/Midi
License:        GPLv2+
URL:            https://gitlab.freedesktop.org/rncbc/qpwgraph
Source0:        https://www.rncbc.org/archive/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(alsa)

%description
qpwgraph is a graph manager dedicated to PipeWire, using the Qt C++ framework,
based and pretty much like the same of QjackCtl.

%prep
%autosetup

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Jul 02 2024 daviddavid <daviddavid> 0.7.4-1.mga10
+ Revision: 2078775
- new version: 0.7.4

* Sun Jun 23 2024 daviddavid <daviddavid> 0.7.3-1.mga10
+ Revision: 2076250
- new version: 0.7.3

* Wed Jun 19 2024 daviddavid <daviddavid> 0.7.2-1.mga10
+ Revision: 2075518
- new version: 0.7.2

* Tue Feb 06 2024 daviddavid <daviddavid> 0.6.2-1.mga10
+ Revision: 2037920
- new version: 0.6.2

* Sun Dec 10 2023 daviddavid <daviddavid> 0.6.1-1.mga10
+ Revision: 2016739
- new version: 0.6.1

* Thu Nov 23 2023 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2009377
- new version: 0.6.0

* Tue Sep 26 2023 daviddavid <daviddavid> 0.5.3-1.mga10
+ Revision: 1991011
- new version: 0.5.3

* Mon Aug 28 2023 daviddavid <daviddavid> 0.5.2-1.mga10
+ Revision: 1980373
- new version: 0.5.2

* Sun Mar 19 2023 ghibo <ghibo> 0.4.1-1.mga9
+ Revision: 1949752
- Update to release 0.4.1

* Wed Dec 28 2022 daviddavid <daviddavid> 0.3.9-1.mga9
+ Revision: 1927402
- new version: 0.3.9

* Sun Dec 11 2022 daviddavid <daviddavid> 0.3.8-1.mga9
+ Revision: 1920805
- initial package qpwgraph

